"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.macAddress = void 0;
const macAddressRegex = /^([0-9a-fA-F][0-9a-fA-F]:){5}([0-9a-fA-F][0-9a-fA-F])$/;
const macAddressNoColons = /^([0-9a-fA-F]){12}$/;
const macAddressWithHyphen = /^([0-9a-fA-F][0-9a-fA-F]-){5}([0-9a-fA-F][0-9a-fA-F])$/;
const macAddressWithSpaces = /^([0-9a-fA-F][0-9a-fA-F]\s){5}([0-9a-fA-F][0-9a-fA-F])$/;
const macAddressWithDots = /^([0-9a-fA-F]{4}).([0-9a-fA-F]{4}).([0-9a-fA-F]{4})$/;
function macAddress() {
    return {
        name: "macAddress",
        handler: (value) => {
            if (typeof value !== 'string') {
                return false;
            }
            return macAddressRegex.test(value)
                || macAddressWithHyphen.test(value)
                || macAddressWithSpaces.test(value)
                || macAddressWithDots.test(value);
        },
    };
}
exports.macAddress = macAddress;
//# sourceMappingURL=macAddress.rule.js.map