"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.numeric = exports.decimal = exports.max = exports.min = exports.integer = void 0;
const number_util_1 = require("../utils/number.util");
function integer(args = []) {
    return {
        name: "integer",
        handler: (value) => {
            return number_util_1.isInt(value + "", args && args[0] === '0');
        },
    };
}
exports.integer = integer;
function min(args) {
    if (args.length !== 1) {
        throw new Error('Invalid number of arguments.');
    }
    const minNum = Number(args[0]);
    if (isNaN(minNum)) {
        throw new TypeError('Seed must be number.');
    }
    return {
        name: "min",
        handler: (value) => {
            const v = String(value);
            if (!number_util_1.isNumeric(v)
                || Number(v) < minNum) {
                return false;
            }
            return true;
        },
    };
}
exports.min = min;
function max(args) {
    if (args.length !== 1) {
        throw new Error('Invalid number of arguments.');
    }
    const maxNum = Number(args[0]);
    if (isNaN(maxNum)) {
        throw new TypeError('Seed must be number.');
    }
    return {
        name: "max",
        handler: (value) => {
            const v = String(value);
            if (!number_util_1.isNumeric(v)
                || Number(v) > maxNum) {
                return false;
            }
            return true;
        },
    };
}
exports.max = max;
function decimal() {
    return {
        name: "decimal",
        handler: (value) => {
            if (typeof value !== 'string') {
                return false;
            }
            return number_util_1.isDecimal(value);
        },
    };
}
exports.decimal = decimal;
function numeric() {
    return {
        name: "numeric",
        handler: (value) => {
            return number_util_1.isNumeric(value + "");
        },
    };
}
exports.numeric = numeric;
//# sourceMappingURL=number.rule.js.map