"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDecimal = exports.isNumeric = exports.isInt = void 0;
function isInt(value, allowLeadingZero = false) {
    if (allowLeadingZero) {
        return /^[-+]?[0-9]+$/.test(value);
    }
    return /^(?:[-+]?(?:0|[1-9][0-9]*))$/.test(value);
}
exports.isInt = isInt;
function isNumeric(value) {
    return /^[+-]?([0-9]*[.])?[0-9]+$/.test(value);
}
exports.isNumeric = isNumeric;
function isDecimal(value, strict = false, decimalDigits = 1, seperator = '.') {
    const r = new RegExp(`^[-+]?([0-9]+)?(\\${seperator}[0-9]{${decimalDigits},})${strict ? '' : '?'}$`);
    return r.test(value);
}
exports.isDecimal = isDecimal;
//# sourceMappingURL=number.util.js.map