import { DateAdapter } from "./contracts";
export class MomentAdapter extends DateAdapter {
    constructor(dateLib) {
        super(dateLib);
        this.FORMAT_DATE = 'YYYY-MM-DD';
        this.FORMAT_DATETIME = 'YYYY-MM-DD HH:mm:ss';
    }
    isAfter(format, date, dateToCompare) {
        return this.dateLib(date, format).isAfter(this.format(dateToCompare, format));
    }
    isBefore(format, date, dateToCompare) {
        return this.dateLib(date, format).isBefore(this.format(dateToCompare, format));
    }
    addDays(date, days) {
        return this.dateLib(date).add(days, 'days').toDate();
    }
    subDays(date, days) {
        return this.dateLib(date).subtract(days, 'days').toDate();
    }
    parseDate(date, format) {
        return this.dateLib(date, format).set({
            h: 0,
            m: 0,
            s: 0,
            ms: 0,
        }).toDate();
    }
    parse(date, format, referenceDate) {
        return this.dateLib(date, format).toDate();
    }
    isValidDateFormat(date, format) {
        return this.dateLib(date, format, true).isValid();
    }
    isValidIsoDateFormat(date) {
        return this.dateLib(date, this.dateLib.ISO_8601).isValid();
    }
    format(date, format) {
        return this.dateLib(date).format(format);
    }
}
//# sourceMappingURL=moment.adapter.js.map