export function contains(args) {
    if (args.length < 1 || args.length > 2) {
        throw new Error('Invalid number of arguments.');
    }
    const [find, modifier] = args;
    if (modifier && modifier !== 'i') {
        throw new Error('Only support modifier is insensitive (i).');
    }
    return {
        name: "contains",
        handler: (value) => {
            if (typeof value !== 'string') {
                return false;
            }
            if (modifier === 'i') {
                return value.toLowerCase().indexOf(find.toLowerCase()) >= 0;
            }
            return value.indexOf(find) >= 0;
        },
    };
}
export function notContains(args) {
    const containsHandler = contains(args).handler;
    return {
        name: "notContains",
        handler: (value) => {
            return !containsHandler(value);
        },
    };
}
//# sourceMappingURL=contains.rule.js.map