/* istanbul ignore file */
let validatorJs;
try {
    validatorJs = require('validator');
}
catch (e) {
    /** ignore */
}
/**
 * @since v5
 * @param args
 */
export function validator(name, args = []) {
    // @ts-ignore
    if (typeof validatorJs[name] !== 'function') {
        throw new Error(`Rule ${name} does not exists on validator.js.`);
    }
    if (Array.isArray(name)) {
        [name, ...args] = name;
    }
    const rulename = name.replace('is', '').toLowerCase();
    return {
        name: rulename,
        handler: (value) => {
            // @ts-ignore
            return validatorJs[name](value + "", ...args);
        },
    };
}
//# sourceMappingURL=validator.rule.js.map