export function isInt(value, allowLeadingZero = false) {
    if (allowLeadingZero) {
        return /^[-+]?[0-9]+$/.test(value);
    }
    return /^(?:[-+]?(?:0|[1-9][0-9]*))$/.test(value);
}
export function isNumeric(value) {
    return /^[+-]?([0-9]*[.])?[0-9]+$/.test(value);
}
export function isDecimal(value, strict = false, decimalDigits = 1, seperator = '.') {
    const r = new RegExp(`^[-+]?([0-9]+)?(\\${seperator}[0-9]{${decimalDigits},})${strict ? '' : '?'}$`);
    return r.test(value);
}
//# sourceMappingURL=number.util.js.map